CVE-2024-32882

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2024-32882
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2024-32882.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2024-32882
Aliases
Published
2024-05-02T07:15:20Z
Modified
2024-05-23T01:25:20.091929Z
Summary
[none]
Details

Wagtail is an open source content management system built on Django. In affected versions if a model has been made available for editing through the wagtail.contrib.settings module or ModelViewSet, and the permission argument on FieldPanel has been used to further restrict access to one or more fields of the model, a user with edit permission over the model but not the specific field can craft an HTTP POST request that bypasses the permission check on the individual field, allowing them to update its value. This vulnerability is not exploitable by an ordinary site visitor without access to the Wagtail admin, or by a user who has not been granted edit access to the model in question. The editing interfaces for pages and snippets are also unaffected. Patched versions have been released as Wagtail 6.0.3 and 6.1. Wagtail releases prior to 6.0 are unaffected. Users are advised to upgrade. Site owners who are unable to upgrade to a patched version can avoid the vulnerability as follows: 1.For models registered through ModelViewSet, register the model as a snippet instead; 2. For settings models, place the restricted fields in a separate settings model, and configure permission at the model level.

References

Affected packages

Git / github.com/wagtail/wagtail

Affected ranges

Type
GIT
Repo
https://github.com/wagtail/wagtail
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

Other

after-modeladmin-fix
caltech-upgrade-point-1

v0.*

v0.1
v0.2
v0.3
v0.3.1
v0.4
v0.5
v0.6
v0.7
v0.8
v0.8.1

v1.*

v1.0b1
v1.0b2
v1.0rc1
v1.10rc1
v1.1rc1
v1.2rc1
v1.3rc1
v1.4rc1
v1.5rc1
v1.6rc1
v1.8rc1

v2.*

v2.0b1
v2.11.rc1
v2.16rc1
v2.1rc1
v2.2rc1
v2.8rc1

v4.*

v4.1rc1

v6.*

v6.0
v6.0.1
v6.0.2
v6.0rc1